
//========================================================================//
// date : 2012/05/31
// brief : shader of billboard
// Created by Takashi Shibahara.
//========================================================================//
//- includes ---------------------------------------------------------------

//- define -----------------------------------------------------------------

//- constance number -------------------------------------------------------
cbuffer chamgeOnObj
{
	matrix wvp;
	float4 coloration;		// diffuse̕ϐFp
}

texture	diffuseTex;

sampler diffuseTexSampler = sampler_state
{
    Texture = <diffuseTex>;
    MipFilter = LINEAR;
    MinFilter = LINEAR;
    MagFilter = LINEAR;
};

//- structures difinition --------------------------------------------------
struct tagVS_INPUT
{
	float4 pos : POSITION;
    float4 color : COLOR;
	float2 diffuseUV : TEXCOORD0;
};

struct tagPS_INPUT
{
    float4 pos : SV_POSITION;
    float4 color : COLOR;
	float2 diffuseUV : TEXCOORD0;
};

//- functions --------------------------------------------------------------
//- vertex shader ----------------------------------------------------------
//--------------------------------------------------------------------------
// brief : ordinal vertex shader
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
tagPS_INPUT VS( tagVS_INPUT input )
{
	tagPS_INPUT output = (tagPS_INPUT)0;

    output.pos = mul( input.pos, wvp );
	output.color = coloration;
	output.diffuseUV = input.diffuseUV;
	
	return output;
}

//- pixel shader -----------------------------------------------------------
//--------------------------------------------------------------------------
// brief : ordinal pixel shader
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
float4 PS( tagPS_INPUT input ) : COLOR0
{
	float4	finalColor = input.color * tex2D( diffuseTexSampler, input.diffuseUV ); 
	//float4	finalColor = tex2D( diffuseTexSampler, input.diffuseUV );
	//float4	finalColor = { 1.0, 1.0, 1.0, 1.0 };
	return	finalColor;
}


// this is snipet for copy
//--------------------------------------------------------------------------
// brief : 
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------

//- technique --------------------------------------------------------------
technique Render
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_3_0, VS() ) );
        SetPixelShader( CompileShader( ps_3_0, PS() ) );
    }
}

#if	0
technique Render
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_3_0, VS() ) );
        SetPixelShader( CompileShader( ps_3_0, PS() ) );
    }
}
#endif