
//========================================================================//
// date : 2012/05/17
// brief : shader of color only data
// Created by Takashi Shibahara.
//========================================================================//
//- includes ---------------------------------------------------------------

//- constance number -------------------------------------------------------
#include	"Lighting.fxh"

//- structures difinition --------------------------------------------------
struct tagVS_INPUT
{
    float4 pos : POSITION;
	float4 color : COLOR;
	float3 normal : NORMAL;
};

struct tagPS_INPUT
{
    float4 pos : SV_POSITION;
	float4 color : COLOR;
};


//- vertex shader ---------------------------------------------------------
//--------------------------------------------------------------------------
// brief : ordinal vs
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
tagPS_INPUT VS( tagVS_INPUT input )
{
    tagPS_INPUT output = (tagPS_INPUT)0;
    output.pos = mul( input.pos, wvp );
	output.color = input.color;

    return output;
}

//- pixel shader ------------------------------------------------------------
//--------------------------------------------------------------------------
// brief : only copy ps
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
float4 PS( tagPS_INPUT input) : COLOR0
{
//	return	input.color;
	return	float4( input.color.xyz, 0.3 );
}

/*
//--------------------------------------------------------------------------
// brief : mul blend ps
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
float4 PS_Mul( tagPS_INPUT input ) : COLOR0
{
	float4 finalColor = input.color * coloration;
	return	finalColor;
}

//--------------------------------------------------------------------------
// brief : add blend ps
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
float4 PS_Add( tagPS_INPUT input ) : COLOR0
{
	float4 finalColor = input.color + coloration;
	return	finalColor;

}
*/

// this is snipet for copy
//--------------------------------------------------------------------------
// brief : 
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------


//- technique --------------------------------------------------------------
technique Render
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_3_0, VS() ) );
        SetPixelShader( CompileShader( ps_3_0, PS() ) );

    }
}