
//========================================================================//
// date : 2012/05/17
// brief : shader of pos only data
// Created by Takashi Shibahara.
//========================================================================//
//- includes ---------------------------------------------------------------

//- constance number -------------------------------------------------------
cbuffer	changeOnObj
{
	matrix wvp;
	float4 coloration;		// diffuse̕ϐFp
};

//- structures difinition --------------------------------------------------
struct tagVS_INPUT
{
    float4 pos : POSITION;
};

struct tagPS_INPUT
{
    float4 pos : SV_POSITION;
};


//- vertex shader ---------------------------------------------------------
//--------------------------------------------------------------------------
// brief : ordinal vs
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
tagPS_INPUT VS( tagVS_INPUT input )
{
    tagPS_INPUT output = (tagPS_INPUT)0;
    output.pos = mul( input.pos, wvp );
    return output;
}

//- pixel shader ------------------------------------------------------------
//--------------------------------------------------------------------------
// brief : copy only ps
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------
float4 PS( tagPS_INPUT input) : COLOR0
{
	return	float4( 0.5, 0.4, 0.2, 1.0 );
}

// this is snipet for copy
//--------------------------------------------------------------------------
// brief : 
// in 	 : 
// out   : 
// note  : nothing
//--------------------------------------------------------------------------


//- technique --------------------------------------------------------------
technique Render
{
    pass P0
    {
        SetVertexShader( CompileShader( vs_3_0, VS() ) );
        SetPixelShader( CompileShader( ps_3_0, PS() ) );

    }
}